MCP Tools Reference: apihub.googleapis.com

Tool: fetch_additional_spec_content

Fetch additional spec content related to a spec resource.

The following sample demonstrate how to use curl to invoke the fetch_additional_spec_content MCP tool.

Curl Request
                  
curl --location 'https://apihub.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "fetch_additional_spec_content",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The FetchAdditionalSpecContent method's request.

FetchAdditionalSpecContentRequest

JSON representation
{
  "name": string,
  "specContentType": enum (SpecContentType)
}
Fields
name

string

Required. The name of the spec whose contents need to be retrieved. Format: projects/{project}/locations/{location}/apis/{api}/versions/{version}/specs/{spec}

specContentType

enum (SpecContentType)

Optional. The type of the spec contents to be retrieved.

SpecContentType

Enumerations of the spec content types. More values may be added in the future.

Enums
SPEC_CONTENT_TYPE_UNSPECIFIED Unspecified spec content type. Defaults to spec content uploaded by the user.
BOOSTED_SPEC_CONTENT The spec content type for boosted spec.
GATEWAY_OPEN_API_SPEC The spec content type for OpenAPI spec. This enum is used for OpenAPI specs ingested via APIGEE X Gateway.

Output Schema

The FetchAdditionalSpecContent method's response.

FetchAdditionalSpecContentResponse

JSON representation
{
  "additionalSpecContent": {
    object (AdditionalSpecContent)
  }
}
Fields
additionalSpecContent

object (AdditionalSpecContent)

The additional spec content.

AdditionalSpecContent

JSON representation
{
  "specContentType": enum (SpecContentType),
  "specContents": {
    object (SpecContents)
  },
  "createTime": string,
  "updateTime": string,
  "labels": {
    string: string,
    ...
  }
}
Fields
specContentType

enum (SpecContentType)

Required. The type of the spec content.

specContents

object (SpecContents)

Optional. The additional spec contents.

createTime

string (Timestamp format)

Output only. The time at which the spec content was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The time at which the spec content was last updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Optional. The labels of the spec content e.g. specboost addon version.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

SpecContents

JSON representation
{
  "contents": string,
  "mimeType": string
}
Fields
contents

string (bytes format)

Required. The contents of the spec.

A base64-encoded string.

mimeType

string

Required. The mime type of the content for example application/json, application/yaml, application/wsdl etc.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

SpecContentType

Enumerations of the spec content types. More values may be added in the future.

Enums
SPEC_CONTENT_TYPE_UNSPECIFIED Unspecified spec content type. Defaults to spec content uploaded by the user.
BOOSTED_SPEC_CONTENT The spec content type for boosted spec.
GATEWAY_OPEN_API_SPEC The spec content type for OpenAPI spec. This enum is used for OpenAPI specs ingested via APIGEE X Gateway.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌